org.apache.cassandra.io.sstable

## Class SnapshotDeletingTask

- java.lang.Object
- - org.apache.cassandra.io.sstable.SnapshotDeletingTask

All Implemented Interfaces:
  java.lang.Runnable

    public class SnapshotDeletingTask
    extends java.lang.Object
    implements java.lang.Runnable

### Field Summary

Fields
`java.io.File` `path`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static void` `addFailedSnapshot(java.io.File path)`
`static int` `pendingDeletionCount()`
`static void` `rescheduleFailedTasks()` Retry all failed deletions.
`void` `run()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### path

    public final java.io.File path

### Method Detail

#### addFailedSnapshot

    public static void addFailedSnapshot(java.io.File path)

#### run

    public void run()

Specified by:
  `run` in interface `java.lang.Runnable`

#### rescheduleFailedTasks

    public static void rescheduleFailedTasks()

Retry all failed deletions.

#### pendingDeletionCount

    public static int pendingDeletionCount()